petsc-3.4.2 2013-07-02

# DMMeshCreateExodusNG

Create a Mesh from an ExodusII file.

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshCreateExodusNG(MPI_Comm comm, PetscInt exoid,DM *dm)

Collective on comm

### Input Parameters

| comm | - The MPI communicator
| exoid | - The ExodusII id associated with a exodus file and obtained using ex_open

### Output Parameter

dm -The DM object representing the mesh

ExodusII side sets are ignored

Interpolated meshes are not supported.

### Keywords

mesh,ExodusII

### See Also

MeshCreate() MeshCreateExodus()

Level:beginner
Location:src/dm/impls/mesh/meshexodus.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages